Subject: bug#14812: closed (Re: 24.3; build failure on FreeBSD 9.1)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 13 Jul 2013 09:46:03 +0000

Your bug report

#14812: 24.3; build failure on FreeBSD 9.1

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14812: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14812
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: 24.3; build failure on FreeBSD 9.1
From: Paul Eggert <[email-masked]>
To: Ulrich Mueller <[email-masked]>
Cc: [email-masked]
Date: Sat, 13 Jul 2013 02:45:46 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 07/13/2013 02:35 AM, Ulrich Mueller wrote:

> Thank you, this appears to fix it.

Thanks, marking it as done.

Subject: 24.3; build failure on FreeBSD 9.1
From: Ulrich Mueller <[email-masked]>
To: [email-masked]
Date: Sun, 7 Jul 2013 16:34:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Forwarding downstream bug: <https://bugs.gentoo.org/473364>

Building Emacs 24.3 (and also Emacs from BZR as of 2013-06-19)
with gcc 4.6 on FreeBSD 9.1 fails:

x86_64-gentoo-freebsd9.1-gcc -std=gnu99 -c  -Demacs  -I. -I/var/tmp/portage/app-editors/emacs-24.3-r2/work/emacs-24.3/src -I../lib -I/var/tmp/portage/app-editors/emacs-24.3-r2/work/emacs-24.3/src/../lib               -MMD -MF deps/xdisp.d -MP     -O2 -pipe xdisp.c
In file included from lisp.h:25:0,
                 from xdisp.c:278:
../lib/stdalign.h:51:0: warning: "_Alignof" redefined [enabled by default]
/usr/include/sys/cdefs.h:240:0: note: this is the location of the previous definition
../lib/stdalign.h:82:0: warning: "_Alignas" redefined [enabled by default]
/usr/include/sys/cdefs.h:239:0: note: this is the location of the previous definition
xdisp.c: In function ‘message_dolog’:
xdisp.c:9449:21: error: expected specifier-qualifier-list before ‘typedef’
xdisp.c: In function ‘set_message_1’:
xdisp.c:10718:12: error: expected specifier-qualifier-list before ‘typedef’
xdisp.c: In function ‘decode_mode_spec_coding’:
xdisp.c:21379:18: error: expected specifier-qualifier-list before ‘typedef’
gmake[1]: *** [xdisp.o] Error 1
gmake[1]: Leaving directory `/var/tmp/portage/app-editors/emacs-24.3-r2/work/emacs-24.3/src'
gmake: *** [src] Error 2

The full build log can be found at:
<https://473364.bugs.gentoo.org/attachment.cgi?id=350998>

Reportedly, the following patch from FreeBSD ports fixes it:
<http://svnweb.freebsd.org/ports/head/editors/emacs-devel/files/patch-lib_verify.h?revision=309486&view=co&pathrev=309486>